For the complete documentation index, see llms.txt. This page is also available as Markdown.

Addresses

Retrieving customer addresses

get

Retrieves a list of addresses for a specified customer.

Required scopes
This endpoint requires the following scopes:
  • : Needed to retrieve customer profiles.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
customerNumberstringRequired

Customer unique identifier generated when the customer profile is created.

tenantstring · min: 3 · max: 16Required

Your Emporix tenant name.

Note: The tenant should always be written in lowercase.

Pattern: ^[a-z][a-z0-9]+$
Responses
200

OK

application/json

Customer address information.

idstringOptional

Customer address unique identifier generated when the address is added to the customer account.

contactNamestringRequired
companyNamestringOptional
streetstringOptional
streetNumberstringOptional
streetAppendixstringOptional
extraLine1stringOptional
extraLine2stringOptional
extraLine3stringOptional
extraLine4stringOptional
zipCodestringOptional
citystringOptional
countrystring · min: 2 · max: 2Optional
statestringOptional
contactPhonestringOptional
isDefaultbooleanOptional

Flag indicating whether the address is the customer default address.

Default: false
tagsstring[]Optional
get/customer/{tenant}/customers/{customerNumber}/addresses
GET /customer/{tenant}/customers/{customerNumber}/addresses HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "contactName": "John Doe",
    "companyName": "Emporix",
    "street": "Platz der Republik",
    "streetNumber": "1",
    "streetAppendix": "",
    "extraLine1": "",
    "extraLine2": "",
    "extraLine3": "",
    "extraLine4": "",
    "zipCode": "11011",
    "city": "Berlin",
    "country": "DE",
    "state": "Berlin",
    "contactPhone": "123456789",
    "tags": [
      "BILLING",
      "SHIPPING"
    ],
    "id": "b05c20e034",
    "isDefault": true
  }
]

Adding a customer address

post

Adds an address to a specified customer profile.

Required scopes
This endpoint requires the following scopes:
  • : Needed to manage customer profiles.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
customerNumberstringRequired

Customer unique identifier generated when the customer profile is created.

tenantstring · min: 3 · max: 16Required

Your Emporix tenant name.

Note: The tenant should always be written in lowercase.

Pattern: ^[a-z][a-z0-9]+$
Body
idstringOptional

Custom customer address identifier. If not provided, it is automatically generated.

contactNamestringRequired
companyNamestringOptional
streetstringOptional
streetNumberstringOptional
streetAppendixstringOptional
extraLine1stringOptional
extraLine2stringOptional
extraLine3stringOptional
extraLine4stringOptional
zipCodestringOptional
citystringOptional
countrystring · min: 2 · max: 2Optional
statestringOptional
contactPhonestringOptional
isDefaultbooleanOptional

Flag indicating whether the address is the customer default address.

Default: false
tagsstring[]Optional
Responses
201

Created

application/json

Schema for showing location of the new resource.

idstringOptional

Resource identifier.

post/customer/{tenant}/customers/{customerNumber}/addresses
POST /customer/{tenant}/customers/{customerNumber}/addresses HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 323

{
  "contactName": "John Doe",
  "companyName": "Emporix",
  "street": "Platz der Republik",
  "streetNumber": "1",
  "streetAppendix": "",
  "extraLine1": "",
  "extraLine2": "",
  "extraLine3": "",
  "extraLine4": "",
  "zipCode": "11011",
  "city": "Berlin",
  "country": "DE",
  "state": "Berlin",
  "contactPhone": "123456789",
  "tags": [
    "BILLING",
    "SHIPPING"
  ],
  "isDefault": true
}
{
  "id": "e6eae2c789"
}

Retrieving a customer address

get

Retrieves a specified customer address and its details.

Required scopes
This endpoint requires the following scopes:
  • : Needed to retrieve customer profiles.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
addressIdstringRequired

Address unique identifier generated when the address is added to a customer profile.

customerNumberstringRequired

Customer unique identifier generated when the customer profile is created.

tenantstringRequired

Your Emporix tenant name.

Note: The tenant should always be written in lowercase.

Responses
200

OK

application/json

Customer address information.

idstringOptional

Customer address unique identifier generated when the address is added to the customer account.

contactNamestringRequired
companyNamestringOptional
streetstringOptional
streetNumberstringOptional
streetAppendixstringOptional
extraLine1stringOptional
extraLine2stringOptional
extraLine3stringOptional
extraLine4stringOptional
zipCodestringOptional
citystringOptional
countrystring · min: 2 · max: 2Optional
statestringOptional
contactPhonestringOptional
isDefaultbooleanOptional

Flag indicating whether the address is the customer default address.

Default: false
tagsstring[]Optional
get/customer/{tenant}/customers/{customerNumber}/addresses/{addressId}
GET /customer/{tenant}/customers/{customerNumber}/addresses/{addressId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "contactName": "John Doe",
  "companyName": "Emporix",
  "street": "Platz der Republik",
  "streetNumber": "1",
  "streetAppendix": "",
  "extraLine1": "",
  "extraLine2": "",
  "extraLine3": "",
  "extraLine4": "",
  "zipCode": "11011",
  "city": "Berlin",
  "country": "DE",
  "state": "Berlin",
  "contactPhone": "123456789",
  "tags": [
    "BILLING",
    "SHIPPING"
  ],
  "id": "b05c20e034",
  "isDefault": true
}

Upserting a customer address

put

Updates a specified customer address or creates a new one if it doesn't exist yet.

Required scopes
This endpoint requires the following scopes:
  • : Needed to manage customer profiles.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
addressIdstringRequired

Address unique identifier generated when the address is added to a customer profile.

customerNumberstringRequired

Customer unique identifier generated when the customer profile is created.

tenantstringRequired

Your Emporix tenant name.

Note: The tenant should always be written in lowercase.

Body
contactNamestringOptional

Required if address does not exist and should be created in upsert operation.

companyNamestringOptional
streetstringOptional
streetNumberstringOptional
streetAppendixstringOptional
extraLine1stringOptional
extraLine2stringOptional
extraLine3stringOptional
extraLine4stringOptional
zipCodestringOptional
citystringOptional
countrystringOptional

2 letter country code compliant with the ISO 3166-1 alpha-2 standard.

statestringOptional
contactPhonestringOptional
tagsstring[]Optional
isDefaultbooleanOptional

Flag indicating whether the address is the customer default address.

Responses
201

Created

application/json

Schema for showing location of the new resource.

idstringOptional

Resource identifier.

put/customer/{tenant}/customers/{customerNumber}/addresses/{addressId}
PUT /customer/{tenant}/customers/{customerNumber}/addresses/{addressId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 323

{
  "contactName": "John Doe",
  "companyName": "Emporix",
  "street": "Platz der Republik",
  "streetNumber": "1",
  "streetAppendix": "",
  "extraLine1": "",
  "extraLine2": "",
  "extraLine3": "",
  "extraLine4": "",
  "zipCode": "11011",
  "city": "Berlin",
  "country": "DE",
  "state": "Berlin",
  "contactPhone": "123456789",
  "tags": [
    "BILLING",
    "SHIPPING"
  ],
  "isDefault": true
}
{
  "id": "e6eae2c789"
}

Deleting a customer address

delete

Deletes a specified customer address.

Required scopes
This endpoint requires the following scopes:
  • : Needed to manage customer profiles.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
addressIdstringRequired

Address unique identifier generated when the address is added to a customer profile.

customerNumberstringRequired

Customer unique identifier generated when the customer profile is created.

tenantstringRequired

Your Emporix tenant name.

Note: The tenant should always be written in lowercase.

Body
objectOptional
Responses
204

No Content

No content

delete/customer/{tenant}/customers/{customerNumber}/addresses/{addressId}
DELETE /customer/{tenant}/customers/{customerNumber}/addresses/{addressId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2

{}

No content

Partially updating a customer address

patch

Updates a specified customer address.

Required scopes
This endpoint requires the following scopes:
  • : Needed to manage customer profiles.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
addressIdstringRequired

Address unique identifier generated when the address is added to a customer profile.

customerNumberstringRequired

Customer unique identifier generated when the customer profile is created.

tenantstringRequired

Your Emporix tenant name.

Note: The tenant should always be written in lowercase.

Body
contactNamestringOptional

Required if address does not exist and should be created in upsert operation.

companyNamestringOptional
streetstringOptional
streetNumberstringOptional
streetAppendixstringOptional
extraLine1stringOptional
extraLine2stringOptional
extraLine3stringOptional
extraLine4stringOptional
zipCodestringOptional
citystringOptional
countrystringOptional

2 letter country code compliant with the ISO 3166-1 alpha-2 standard.

statestringOptional
contactPhonestringOptional
tagsstring[]Optional
isDefaultbooleanOptional

Flag indicating whether the address is the customer default address.

Responses
200

OK

No content

patch/customer/{tenant}/customers/{customerNumber}/addresses/{addressId}
PATCH /customer/{tenant}/customers/{customerNumber}/addresses/{addressId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 323

{
  "contactName": "John Doe",
  "companyName": "Emporix",
  "street": "Platz der Republik",
  "streetNumber": "1",
  "streetAppendix": "",
  "extraLine1": "",
  "extraLine2": "",
  "extraLine3": "",
  "extraLine4": "",
  "zipCode": "11011",
  "city": "Berlin",
  "country": "DE",
  "state": "Berlin",
  "contactPhone": "123456789",
  "tags": [
    "BILLING",
    "SHIPPING"
  ],
  "isDefault": true
}

No content

Adding tags to a customer address

post

Adds tags to a specified customer address.

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
addressIdstringRequired

Address unique identifier generated when the address is added to a customer profile.

customerNumberstringRequired

Customer unique identifier generated when the customer profile is created.

tenantstringRequired

Your Emporix tenant name.

Note: The tenant should always be written in lowercase.

Query parameters
tagsstringRequired

List of address tags, separated by commas.

Example: BILLING,SHIPPING
Responses
204

No Content

No content

post/customer/{tenant}/customers/{customerNumber}/addresses/{addressId}/tags
POST /customer/{tenant}/customers/{customerNumber}/addresses/{addressId}/tags?tags=BILLING%2CSHIPPING HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Deleting tags from a customer address

delete

Deletes tags from a specified customer address.

Required scopes
This endpoint requires the following scopes:
  • : Needed to manage customer profiles.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
addressIdstringRequired

Address unique identifier generated when the address is added to a customer profile.

customerNumberstringRequired

Customer unique identifier generated when the customer profile is created.

tenantstringRequired

Your Emporix tenant name.

Note: The tenant should always be written in lowercase.

Query parameters
tagsstringRequired

List of address tags, separated by commas.

Example: BILLING,SHIPPING
Responses
204

No Content

No content

delete/customer/{tenant}/customers/{customerNumber}/addresses/{addressId}/tags
DELETE /customer/{tenant}/customers/{customerNumber}/addresses/{addressId}/tags?tags=BILLING%2CSHIPPING HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Last updated

Was this helpful?